import { useHead } from "#app";
import { generateStyles } from "../utils/generateStyles.mjs";
export const useLocalFont = (local) => {
  const { fontFace, classes, root, format } = generateStyles(local);
  const styles = `${fontFace}${classes}${root}`;
  const links = [];
  for (const font of local) {
    links.push({
      rel: "preload",
      as: "font",
      crossorigin: "anonymous",
      type: `font/${format}`,
      href: font.src
    });
  }
  useHead({ link: links });
  return useHead({ style: [{ children: styles }] });
};
